Question Tinfoil can't install TWD on 4.1

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by CampofMusic, Aug 26, 2018.

  1. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    I tried to install The Walking Dead: Final Season couple times in tinfoil and im getting same error everytime sayin my dump is bad or something.
    with lots of sources for the nsp files but in the end i still getting this weird loading thing.(i tried to install with SX OS cuz tinfoil cant)

    after couple tries i was "ok lets try something else",
    i searched to see if there's any game came between the release of TWD and i found Okami HD that came in August 8th when TWD is 14th.
    and guess what? it worked like a dream, first dump was installed smooth and running great(installed with tinfoil).

    so whats the problem? my version is 4.1 with SX OS on 1.5 and tinfoil installed.
    thank you.
     

    Attached Files:

    Last edited by CampofMusic, Aug 26, 2018
  2. Kubas_inko

    Kubas_inko "Something funny goes here."

    Member
    13
    Feb 3, 2017
    Czech Republic
    I gues on earth.
    are you sure that it is a full game and not just an update or dlc?
     
  3. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    100% sure
    2.9GB
     
  4. Falo

    Falo GBAtemp Fan

    Member
    7
    Jul 22, 2012
    Germany
    Code:
    The Walking Dead - The Final Season - Game (v1.0.0) [010060f00aa70000][v0].nsp
    TitleId                                      010060F00AA70000
    Version                                      0.0.0.0 (Version: 0, Raw: 0)
    Req. Download Version                        0.0.0.0 (Version: 0, Raw: 0)
    RightsId                                     0x010060f00aa700000000000000000005
    Application Extended Header:
    Patch TitleId                                010060F00AA70800
    Req. System Version                          5.1.0.0 (Version: 5136, Raw: 336592896)
    Code:
    ŌKAMI HD - Game (v1.0.0) [0100276009872000][v0].nsp
    TitleId                                      0100276009872000
    Version                                      0.0.0.0 (Version: 0, Raw: 0)
    Req. Download Version                        0.0.0.0 (Version: 0, Raw: 0)
    RightsId                                     0x01002760098720000000000000000004
    Application Extended Header:
    Patch TitleId                                0100276009872800
    Req. System Version                          5.0.2.0 (Version: 5122, Raw: 335675392)
    In short:
    TWD requires FW 5.1.0 and is encrypted with Masterkey04 (Fw 5.x).
    ŌKAMI HD requires FW 5.0.2 and is encrypted with Masterkey03 (FW 4.x).

    Even if you could install it, it would not run on your system, because Masterkey04 is not installed in your system.
     
    Last edited by Falo, Aug 26, 2018
    Lacius likes this.
  5. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    do you think in the future there gonna be option to bypass it and install masterkey04 on a 4.1 firmware?
    still not considering updating to 5.1, atleast until Doom Eternal OMG THIS GAME IS AMAZING! 10/10
     
  6. shchmue

    shchmue GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2013
    United States
    that's not the only thing you're missing, whole system services got reworked. just do a no fuse upgrade.
     
  7. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    im still waiting for warmboot or coldboot for 4.1, i dont want to use the jig anymore so waiting is the best option for me.
    so no future for 5.1 games to run on 4.1 ?(atleast right now)
     
  8. shchmue

    shchmue GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2013
    United States
    almost certainly never going to happen, especially when emuNAND comes around
     
  9. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    emunand can't make it work?
     
  10. Lacius

    Lacius GBAtemp Guru

    Member
    16
    May 11, 2008
    United States
    There will likely never be any way to bypass the need for higher master keys. You either need to update (with or without burning efuses), or you need to use an emuNAND (which isn't available yet).

    You can update to 5.1.0 without burning efuses by using ChoiDujourNX, making it so you can downgrade back to 4.1.0 later. The only downside is you have to install AutoRCM and keep it installed until the day you downgrade back to 4.1.0.
     
    Draxzelex likes this.
  11. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    not worth the risk :(
    thanks for the help guys, really!!!
     
  12. Lacius

    Lacius GBAtemp Guru

    Member
    16
    May 11, 2008
    United States
    The process is as safe as anything else you've already done. With a NAND backup, there's very little risk.
     
  13. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    There is little to 0 risk when using ChoiDujourNX to update without burning fuses. And using AutoRCM means you will not have use your jig anymore. You can just keep the console in sleep mode (the battery drain is very minimal) and avoid any battery-related issues when it comes to turning off the console with AutoRCM or make sure you turn off the console in RCM.
     
  14. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    i dont wanna risk anything when updating i rather stay in 4.1 until there gonna be an option to downgrade.
    until then i play wolfen and doom :)

    thank you guys very much
     
  15. Lacius

    Lacius GBAtemp Guru

    Member
    16
    May 11, 2008
    United States
    You can already downgrade back to 4.1.0 as long as you use ChoiDujourNX to update to 5.1.0 and install AutoRCM.
     
  16. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    17
    Aug 6, 2017
    United States
    New York City
    Updating without burning fuses is the ONLY way to downgrade. The fuses are designed to prevent downgrading. EmuNAND won't solve this issue either as EmuNAND can burn fuses as well so you will need to use AutoRCM in that case as well.
     
    Lacius likes this.
  17. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    but is it worth it?
    like how much people even done it?
     
  18. Lacius

    Lacius GBAtemp Guru

    Member
    16
    May 11, 2008
    United States
    Most people who want to preserve a downgrade path but want to play newer games have done it. The process is very simple.

    I did it to update from 3.0.0 to 5.1.0, but I was going to install AutoRCM regardless, so there was no reason for me not to do it. Now, if I choose to, I can downgrade back to 3.0.0 whenever I want.
     
    Draxzelex likes this.
  19. CampofMusic
    OP

    CampofMusic Member

    Newcomer
    2
    Jun 7, 2018
    Israel
    really?
    but i heard autorcm is dangerous and harming the console.
     
  20. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    It doesn't harm the console per se, it just causes a few issues with the battery. There's a thread about it on this forum if you want more info
     
Loading...